boost::geometry::traits::interior_const_type< Geometry > Struct Template Reference
traits: adapt geometries

Traits class indicating interior container type of a polygon. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_GEOMETRY_TYPE,(types< Geometry >))

## Detailed Description

### template<typename Geometry>
struct boost::geometry::traits::interior_const_type< Geometry >

Traits class indicating interior container type of a polygon.

defines inner container type, so the container containing the interior rings

Geometries:
  - polygon

Specializations should provide:
  - typedef X type ( e.g. std::vector<myring<P>> )

Template Parameters:

  Geometry | geometry

## Member Function Documentation

template<typename Geometry >

boost::geometry::traits::interior_const_type< Geometry >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_GEOMETRY_TYPE | ,
|  | (types< Geometry >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK